/* changed register 36 from 0 to 3 7/18/96 */
/* changed register 41 from 3 to 1 7/18/96 */
#include "16c64.h"
#include "ctype.h"
#pragma option v;
#pragma option +s;
const/* static*/ unsigned char zarray[96] = {
				/* array 0 */
				0,0x50,0x1,0x1c,0xc7,0x71,0x7c,0x55,0x7f,0x77,0x7d,0x5d,0x5d,0xf7,0x7d,0xf5,
				0x77,0xd5,0x77,0x7f,0xfd,0xf7,0xff,0x7F,0x75,0x1D,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0x2,0x60,0x1,0x06,0,0x3f,0,0,
				0x60,0,0,0x93,0,0,0x3,0x7,0,0,0,0x1,0,0,0,0,
				0x3,0x1,0x3f,0x3f,0x40,0x65,0x22,0x6d,0x5c,0x58,0xe7,0xfd,0x40,0x65,0x22,0x6d,
				0x5c,0x58,0xe7,0xfd,0,0,0,0,0,0,0,0,0,0,0,0/*,
				 array 1
				0,0x50,0x1,0x2E,0xBA,0xE8,0xE3,0x55,0x7f,0x77,0x7d,0x5d,0x5d,0xf7,0x7d,0xf5,
				0x77,0xd5,0x77,0x7f,0xfd,0xf7,0xff,0x7F,0x75,0x1D,0,0,0,0,0,0,
				0,0,0,0,0,0,0,0,0x2,0x60,0x1,0x06,0,0x0a,0,0,
				0x60,0,0,0x93,0,0,0,0x7,0,0,0,0,0,0,0,0,
				0x2,0x3,0x0a,0x3f,0x40,0x65,0x22,0x6d,0x5c,0x58,0xe7,0xfd,0x47,0x2,0,0,
				0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
				*/};


char i;
char porta_data;
char stel_data;
char stel_adr;

void main(void)
 {
 INTCON=0; /* disable all interrupts */
 TRISE = 0x5; /* RE1 is output */
 PORTE.1=1; /* set STEL WR high */
 TRISC=0; /* port C is outputs */
 PORTC.7=0; /* reset STEL */
 PORTC.7=1; /* release reset */
 for(i=0;i<254;i++);/*  added to be sure STEL is ready after reset */
 TRISB=0; /* port B is outputs */
 TRISA=0x0f; /* port A RA0 - RA3 are inputs */
 TRISD=0; /* port D is outputs */
 porta_data = PORTA & 0x07; /* read four low bits from port a */

 for(i=0x40;i<0x60;i++)
 {
      PORTB=i;/* stel address */
      PORTD=zarray[i];
      PORTE.1=0; /* write to stel */
      PORTE.1=1; /* reset write */
 }

 for(i=0;i<0x40;i++)
 {
      PORTB=i;
      PORTD= zarray[i];
      PORTE.1=0; /* write to stel */
      PORTE.1=1; /* reset write */

 }
/* load the NCO */
      PORTB=0; /* register 0 */
      PORTD=1; /* NCO load */
      PORTE.1=0;
      PORTE.1=1;
/* turn off NCO load */
      PORTB=0; /* register 0 */
      PORTD=0; /* NCO load */
      PORTE.1=0;
      PORTE.1=1;
/*  now go */
      PORTB=0x37; /* register 37 */
      PORTD=7; /* RX en, TX en, NCO en */
      PORTE.1=0;
      PORTE.1=1;

      PORTB=0xff; /* set CS high */
      i=1;
      while(1); /* end of program */
 }

